{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://overnight.overslept.dev","description":"Generated server url"}],"paths":{"/api/tenant-context":{"get":{"tags":["tenant-context-controller"],"summary":"Echo the ambient X-Tenant-Id / X-Tenant-Role headers on this request","operationId":"tenantContext","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TenantContext"}}}}}}},"/api/catalog":{"get":{"tags":["catalog-controller"],"summary":"List every app in the catalog visible to the caller","operationId":"list","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppCatalogEntry"}}}}}}}},"/api/catalog/{appId}":{"get":{"tags":["catalog-controller"],"summary":"Fetch one catalog entry by app id","operationId":"get","parameters":[{"name":"appId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AppCatalogEntry"}}}}}}}},"components":{"schemas":{"TenantContext":{"type":"object","properties":{"tenantId":{"type":"string"},"tenantRole":{"type":"string"},"present":{"type":"boolean"}}},"AppCatalogEntry":{"type":"object","properties":{"appId":{"type":"string"},"displayName":{"type":"string"},"liveUrl":{"type":"string"},"currentVersion":{"type":"string"},"owner":{"type":"string"},"visibility":{"type":"string"},"source":{"type":"string","enum":["seeded","pipeline"]}}}}}}